@import url(https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css);
@import url(https://fonts.googleapis.com/css?family=Lato:400,300,900);
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&family=Roboto+Slab:wght@200&family=Sometype+Mono&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300..700&display=swap') p {
	/*outline: 1px solid #f00 !important;*/
}

html,
body {
	width: 100%;
	height: 100%;
	margin: 0 !important;
	padding: 0 !important;
	background-color: #f8fdff00;
}

body {
	font-family: "Roboto Slab";
	font-size: 13pt !important;
	font-weight: 300 !important;
	background-color: #FF0000;
}

.dropdown-toggle-split {
	align-items: left !important;
	padding-top: 10px !important;
}

.home-button {
	background-color: #58bcff !important;
	color: white !important;
	border: none !important;
	padding-top: 3.75px !important;
	margin-right: 10px !important;
	align-items: left !important;
}

.jumbotron {
	background-image: url("../img/church.jpg") !important;
	background-size: auto;
	padding: 10;
	height: 500px;
}

.btn {
	font-family: "Comfortaa", sans-serif !important;
	background-color: #618dda !important;
	border-color: #618dda !important;
}

.top-btn {
	background-color: #FFFFFF !important;
	border-color: #FFFFFF !important;
	color: #618dda !important;
	font-size: 16px !important;
	padding-right: 10px !important;
}

.top-btn .dropdown-item {
	font-size: 12px !important;
}

li .header-dropdown-item {
	width: 100% !important;
	height: auto !important;
}

a .dropdown-item {
	width: 100% !important;
}

.mask {
	background-color: rgba(255, 255, 255, 0);
	color: rgb(255, 255, 255);
	padding: 0;
	margin: 0;
	height: 100%;
}

.jumbotron-content {}

.readmorebutton {
	font-size: large;
}

#top-bar-transparent {
	width: 100%;
	height: 8vw;
	padding: 2.5vw;
	position: absolute !important;
	z-index: 100;
	display:flexbox !important;
	color: white !important;
	/*background: #FFFFFF66;*/
}

#top-bar-cover {
	display: none;
	width: 100%;
	height: 8vw;
	padding: 2.5vw;
	position: absolute !important;
	z-index: 101;
	display:flexbox !important;
	color: white !important;
	/*background: #FFFFFF66;*/
}

#top-bar-text {
	color: white !important;
	font-size: 2vw;
	padding-left: 5vw;
	display:block;
	text-shadow: 2px 2px 5px black;
}

#top-bar-image {
	position: absolute;
	padding-left: 0.75vw;
	top: 1.25vw;
}

#top-bar-image img {
	width: 4vw;
	height: auto;
}



#top-bar-text a {

}

#top-bar-text b {
}

#top-bar-text i {
	position:absolute;
	font-size: 0.8vw !important;
	padding-top: 0px !important;
	transform:translate(0,-0.5vw);
}

.navbar-light {
	background: transparent !important;
}

.navbar-inner {
	background: transparent !important;
}

.top-bar {
	width: 100%;
	background-color: #FFFFFF !important;
	min-height: 250px !important;
	position:relative !important;
	z-index: 100;

}

.header-image {
	width: 100% !important;
	height: 40vw;
	object-fit: cover;
	object-position: 50% 65%;
	z-index: -1 !important;
}

.contact-info-bar {
	position: absolute;
	width: 100% !important;
	top: 1.5vw;
	right: 2vw;
	background: transparent;
	justify-content: flex-end !important;
	text-align: end;
	z-index: 10000 !important;
}

.contact-info-bar a {
	font-size: 1vw;
	color: white !important;
	z-index: 10000 !important;
}

.contact-info-text {
	font-size: 1vw;
	color: #FFFFFF;
	width: 100% !important;
	text-align: end;
	padding-right: 1.7vw !important;
	background: transparent;
	text-shadow: 2px 2px 2px black;
	text-decoration: none !important;
}

.contact-info-text svg {
	width: 1vw;
	height: 1vw;
}

.content-carousel {
	position: inherit;
	height: 200px;
	width: 100%;
	object-fit: cover;
	padding: 0;
	margin: 0;
}

.content-carousel .carousel {
	margin: 0 auto;
	height: 2px;
}

.hidden {
	opacity: 0;
	transition: all 1s;
}

.show {
	opacity: 1;
}

.content-image {
	background-color: rgb(50, 31, 156);
	width: 250;
	height: 250;
}

.content-header {
	/* margin-block-end: 0 !important; */
	/* padding-top: 7.5vw !important; */
	font-size: 2em;
}

.navbar-nav2 a {
	display: inline-flex;
	align-items: center;
}

.content-text {
	width: 100%;
	padding-left: 15vw;
	padding-right: 15vw;
	margin-block-end: 0 !important;
}

.content-text img {
	height: 250px;
	width: 100%;
	object-fit: cover;
	object-position: center;
	/*padding-top: 2.5rem;*/
	padding-bottom: 1.5rem;
}

.content-text p {
	position: relative;
	text-align: justify;
}

.content-text indentedText {
	text-indent: 5% !important;
}

.horizontalContent {
	position: relative;
}

.horizontalChild {
	display: inline !important;
}

.fullPicture {
	object-position: center !important;
	/*padding-top: 2.5rem;*/
	padding-bottom: 1.5rem !important;
	width: 250px !important;
	height: auto;
	overflow:visible
	
}


.contentHide {
	opacity: 0.0;
	filter: blur(5px);
	transform: translateX(-5%);
	transition: all 1.0s;
}

.contentShow {
	opacity: 1.0;
	transform: translateX(0%);
	filter: blur(0);
}


.logo-image {
	width: 25%;
	height: 25%;
}

.footer-text,
h5 {
	color: white;
}



.bg-light {
	background-color: #FFFFFF !important;
}

.bg-light .container {
	margin-left: auto !important;
}

#page-container {
	position: relative;
	min-height: 100vh;
}

#content-wrap {
	/* padding-bottom: 2.5rem;    /* Footer height */
}

#footer {
	position: absolute;
	bottom: 0;
	width: 100%;
	height: 2.5rem;
	background-color: #f8fdff;
	/* Footer height */
}

.footercontainer {
	background-color: #4094cc !important;
}

.col {
	padding: 0 !important;
	/*width: 100%;*/
	margin: 0;

}

.row {
	width: 100% !important;
	padding: 0 !important;
	margin: 0 !important;
	padding-top: 25px;
	padding-bottom: 25px;
}

.container-fluid {
	width: 100% !important;
	padding-right: 0px !important;
	padding-left: 0px !important;
}

#myPageContent,
section {
	height: 100% !important;
	width: 100% !important;
}


section {
	width: 100%;

}

.noDecoration,
a:link,
a:visited {
	text-decoration: none;
}

section {
	background-color: #f8fdff;
	margin: 0;
	scroll-margin-top: 63px;
}

.topBarText {
	position: absolute;
	padding-top: 35px;
	max-width: 100px;
	display: inline-block;
	text-align: center;
	font-size: 2vw !important;
}

.topBarText b {
	font-size: 2vw !important;
}

.topBarText i {
	padding-top: 0px !important;
}

@media screen and (max-width: 1470px) {
	.topBarText, #top-bar-text {
		font-size: 1.5vw !important;
	}

	.topBarText, #top-bar-text b {
		font-size: 1.5vw !important;
	}

	.topBarText, #top-bar-text i {
		font-size: 0.6vw !important;
	}

	.fullPicture {
		display: none !important
	}

	.container {
		width: 100% !important;
		margin-left: 17.5rem !important;
		margin-right: 0 !important;
	}

	.navbar-toggle {
		display: none;
	}

	.desktopImages {
		display: block !important;
	}

	.mobileImages {
		display: none !important;
	}
}

@media screen and (max-width: 1270px) {
	.topBarText {
		display: none !important;
	}

	.container {
		width: 100% !important;
		margin-left: 17.5rem !important;
		margin-right: 0 !important;
	}

	.navbar-toggle {
		display: none;
	}

	.desktopImages {
		display: block !important;
	}

	.mobileImages {
		display: none !important;
	}
}

@media screen and (max-width: 820px) {

	.image-text-right {
		top: 70% !important;
	}

	.image-text-left {
		top: 70% !important;
	}

	.desktopImages {
		display: none !important;
	}

	.mobileImages {
		display: block !important;
	}

	.contact-info-bar {
		top: 15vw !important;
		width: 100% !important;
		text-align: center !important;
		margin: 0 !important;
		padding: 0 !important;
	}
	.contact-info-bar a{
		font-size: 2.5vw;
	}

	.contact-info-text {
		text-align: center !important;
		word-spacing: 0.25vw;
	}

	.contact-info-bar svg {
		display: none !important;
	}

	#buttonBar {
		right: 0 !important;
		top : 20vw !important;
		width: 100% !important;
		height: 10vw;
		padding: 0.5vw;
		text-align: center !important;
		align-items: center !important;
	}

	#top-bar-text {
		color: white !important;
		font-size: 5.5vw !important;
		padding-left: 10vw !important;
		text-shadow: 2px 2px 5px black;
		white-space: nowrap;
		overflow: hidden;
	}

	#top-bar-text i{
		font-size: 2vw !important;
		padding-top: 0 !important;	
	}
	
	#top-bar-image {
		position: absolute;
		padding-left: 1vw;
		top: 2vw;
	}

	#top-bar-image img {
		width: 8.25vw;
		height: auto;
	}

	.TopButton {
		height: 5vw !important;
		font-size: 4vw !important;

		padding: 0.25vw 1vw !important;
		border: unset;
		border-radius: 5px;
		
		z-index: 1;
		font-size: 1vw;
		height: 10vw !important;
	}

	.header-image {
		height: 100vw !important;
	}

	section {
		background-color: #f8fdff;
		margin: 0;
		scroll-margin-top: 28.5vh;
	}

	.content-text {
		padding-left: 3vw !important;
		padding-right: 3vw !important;
	}

	.navbar ul li {
		color: #FFF !important;
		font-size: 1pt !important;
		display: inline-block !important;
	}

	.container {
		width: 100% !important;
		margin-left: 0rem !important;
		margin-right: 0 !important;
	}

	.navbar-toggle {
		display: inherit;
	}
}


footer {
	background-color: #58bcff !important;
	color: #FFF !important;
	text-align: right;
	font-size: 10pt !important;
	padding: 30px;
}

footer>.container>.footer-text>.col>p>a {
	color: white !important;
	font-weight: 300 !important;
}

.dropdown-menu {
	z-index: 10000000;
}

.dropdown-toggle {
	font-size: 24px !important;
	background-color: rgb(247, 253, 255) !important;
	color: #4094cc !important;
	border-style: none !important;
}

.dropdown:hover>.dropdown-menu {
	position: absolute;
	display: block;
}

.navbar-toggle {
	height: 100% !important;
}

.container {
	text-align: right;
	width: 100% !important;
	display: flexbox !important;
	justify-content: flex-end !important;
	position: relative;
	z-index: 10000;
}

.navbar-header {
	transform:translateX(-10px);
}

.myLogo {
	margin: auto !important;
	font-family: 'Lato', sans-serif;
	color: #FFF;
	/* text-align: center; */
	vertical-align: middle;
	padding: 15px !important;
	width: auto !important;
	height: auto !important
}

.myLogo img {
	width: 100px;
}

.top-image {
	width: 10%;
	height: auto;
}


.myLogo span {
	color: #4094cc;
	font-weight: normal;
}

a.anchor {
	display: block;
	position: relative;
	/* top: -34vh; */
	visibility: hidden !important;
}






.navbar {
	border-radius: 0;
	margin: auto;
	width: auto !important;
	opacity: 0.9;
	filter: Alpha(opacity=90);
	/* IE8 and earlier */
	background-color: rgb(247, 253, 255);
}

.navbar ul li {
	color: #FFF !important;
	font-size: 16pt !important;
	display: inline-block !important;
}

.navbar ul li a {
	padding-right: 10 !important;
}

.nav>ul {
	display: inline-block;
}

.navbar-light ul li {
	color: #FFF !important;
	font-size: 12pt !important;
	display: inline-block !important;
}

.navbar ul:has(li:nth-child(6)) li {
	font-size: 16px !important;
}
.navbar .active a,
.nav a:focus {
	color: #0d2e58 !important;
	background-color: transparent !important;
}

.navbar-nav {}

.navbar-nav a::before,
.navbar-nav a::after {
	display: inline-block;
	opacity: 0;
	-webkit-transition: -webkit-transform 0.3s, opacity 0.2s;
	-moz-transition: -moz-transform 0.3s, opacity 0.2s;
	transition: transform 0.3s, opacity 0.2s;
}

.navbar-nav a::before {
	text-decoration: none !important;
	margin-right: 10px;
	content: '<';
	-webkit-transform: translateX(20px);
	-moz-transform: translateX(20px);
	transform: translateX(20px);
}

.navbar-nav a::after {
	text-decoration: none !important;
	margin-left: 10px;
	content: '>';
	-webkit-transform: translateX(-20px);
	-moz-transform: translateX(-20px);
	transform: translateX(-20px);
}

.navbar-nav a:hover,
.navbar-nav a:hover::before,
.navbar-nav a:hover::after,
.navbar-nav a:focus::before,
.navbar-nav a:focus::after {
	color: #0d4b9c !important;
	background-color: transparent !important;
	text-decoration: none !important;
	opacity: 1;
	-webkit-transform: translateX(0px);
	-moz-transform: translateX(0px);
	transform: translateX(0px);
}

.navbar-light {
	background-color: white;
	height: 125px;
	/* margin-left: 25%; */
	/* margin-right: 25%; */
}

.btn-group {
	height: 50px !important;
	margin-top: 2px;
}

.navbar-light .btn-primary {
	background-color: #58bcff !important;
	color: white !important;
	border: #4094cc;
}

.navbar-light .dropdown-toggle-split {
	background-color: #58bcff !important;
	color: white !important;
	border: none !important;
	margin-right: 10px;
}

.topLogo {
	max-height: 100%;
	margin: auto;
	vertical-align: middle;
	display: inline-block;
}

.navbar-brand {
	width: 20%;
	height: 100%;
	padding-left: 5rem;
	font-size: 30px !important;
	color: #618dda;
	font-family: 'Open Sans', sans-serif !important;
}

.navbar-brand i {
	padding-top: 0px;
	font-size: 14px;
}

.navbar-brand b {
	font-weight: bold;
	font-size: 30px;
}


.svg {
	fill: currentColor;
	line-height: 1;
	height: 1em;
	width: 1em;
}



.textContainer {
	position: relative;
	text-align: left !important;
	color: white;
	margin: 0 !important;
}

.textContainer img {
	height: 500px !important;
	width: 100% !important;
}

.centered {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align: center;
	color: white;
	text-shadow: 2px 2px #000000;
	font-size: 1.75rem !important;
	font-weight: 500;
}

.centered h2 {
	font-size: 24pt !important;
	font-weight: bold;
}

.elderText {
	font-size: 2rem;
}

.elderTextSub {
	font-weight: 100;
}

.elderRow {
	margin-top: 0 !important;
	margin-bottom: 0 !important;
	padding-top: 0 !important;
	padding-bottom: 1rem !important;
	justify-content: center;
	display: flex;
}

.elderCard {
	padding-top: 1rem !important;
	margin-right: 1rem !important;
	height: auto !important;
	width: 250px !important;
}

#elderCard {
	width: 250px !important;
}

.elderCard .card-img-top {
	padding-bottom: 0 !important;
}

.elderCard .card-body {
	height: 125px !important;
	padding-top: 22.5px !important;
}

.card-text {
	text-align: center;
}

footer {
	margin-top: 250px !important;
}

footer .container {
	margin: auto !important;
}

.olcards,
.olcards * {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	padding-right: 0;
}

.olcards {
	list-style: none;
	counter-reset: cardCount;
	font-family: Comfortaa;
	display: flex;
	flex-direction: column;
	--cardsGap: 1rem;
	gap: var(--cardsGap);
	padding-bottom: var(--cardsGap);
	width: 100%
}

.olcards li {
	counter-increment: cardCount;
	display: flex;
	color: white;
	width: 100%;
	--labelOffset: 1rem;
	--arrowClipSize: 1.5rem;
	margin-top: var(--labelOffset);
}

.olcards li::before {
	content: counter(cardCount, decimal-leading-zero);
	background: #58bcff;
	/*color: var(--cardColor);*/
	color: white;
	font-size: 2em;
	font-weight: 100;
	transform: translateY(calc(-1 * var(--labelOffset)));
	margin-right: calc(-1 * var(--labelOffset));
	z-index: 1;
	display: flex;
	justify-content:flex-start;
	align-items:center;
	padding-inline: 0.5em;
}

.olcards li .content {
	background-color: var(--cardColor);
	--inlinePadding: 1em;
	--boxPadding: 0.5em;
	display: grid;
	width: 100%;
	padding: var(--boxPadding) calc(var(--inlinePadding) + var(--arrowClipSize)) var(--boxPadding) calc(var(--inlinePadding) + var(--labelOffset));
	grid-template-areas:
		"icon title"
		"icon text";
	gap: 0.25em 1em;
	clip-path: polygon(0 0,
			calc(100% - var(--arrowClipSize)) 0,
			100% 50%,
			calc(100% - var(--arrowClipSize)) 100%,
			calc(100% - var(--arrowClipSize)) calc(100% + var(--cardsGap)),
			0 calc(100% + var(--cardsGap)));
	position: relative;
}

.olcards li .content::before {
	content: "";
	position: absolute;
	width: var(--labelOffset);
	height: var(--labelOffset);
	background: var(--cardColor);
	left: 0;
	bottom: 0;
	clip-path: polygon(0 0, 100% 0, 0 100%);
	filter: brightness(0.75);
}

.olcards li .content::after {
	content: "";
	position: absolute;
	height: var(--cardsGap);
	width: var(--cardsGap);
	background: linear-gradient(to right, rgba(0, 0, 0, 0.25), transparent 50%);
	left: 0;
	top: 100%;
}

.olcards li .icon {
	grid-area: icon;
	align-self: center;
	font-size: 2em;
}

.olcards li .content .title {
	grid-area: title;
	font-size: 1.25em;
	/* font-weight: 700; */
}

.olcards li .content .text {
	font-size: 1.25rem !important;
	grid-area: text;
}

.draggableCarousel {
	display: flex;
	width: 100%;
	align-items: center;
	justify-content: center;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

.wrapper{
	display: flex;
	/*max-width: 1200px;*/
	width: 100%;
	position: relative;
  }
  .wrapper i{
	top: 50%;
	height: 44px;
	width: 44px;
	color: #343F4F;
	cursor: pointer;
	font-size: 1.15rem;
	position: absolute;
	text-align: center;
	line-height: 44px;
	background: #58bcff;
	border-radius: 50%;
	transform: translateY(-50%);
	transition: transform 0.1s linear;
	z-index: 100;
  }
  .wrapper i:active{
	transform: translateY(-50%) scale(0.9);
  }
  .wrapper i:hover{
	background: #f2f2f2;
  }
  .wrapper i:first-child{
	left: -22px;
	display: none;
  }
  .wrapper i:last-child{
	right: -22px;
  }
  .wrapper .carousel{
	font-size: 0px;
	cursor: pointer;
	overflow: hidden;
	white-space: nowrap;
	scroll-behavior: smooth;
  }
  .carousel.dragging{
	cursor: grab;
	scroll-behavior: auto;
  }
  .carousel.dragging img{
	pointer-events: none;
  }
  .carousel img{
	height: 340px;
	object-fit: cover;
	user-select: none;
	margin-left: 14px;
	width: calc(100% / 3);
  }
  .carousel img:first-child{
	margin-left: 0px;
  }
  
  @media screen and (max-width: 900px) {
	.carousel img{
	  width: calc(100% / 2);
	}
  }
  
  @media screen and (max-width: 550px) {
	.carousel img{
	  width: 100%;
	}
  }



  .textDivider {
	width: 100%;
  }
  .textDivider p{
	font-size: 32px;
	text-align: center;
  }

  .item {
	flex-grow: 1;
  }

  .break {
	flex-basis: 100%;
	width: 0 !important;
	height: 0 !important;
  }

  .mobileWarningImage {
	object-fit:fill;
	object-position: center;
	height: 20vh;
  }

  .mobileWarning {
	pointer-events: none;
	font-family: Comfortaa;
	font-size: 100%;
	display: none;
	flex-wrap: wrap;
	position: fixed;
	color: white;
	text-align: center;
	justify-content: center;
	align-items: center;
	text-align: center;
	width: 100%;
	height: 100%;
	min-height: 100vh;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: #58bcff;
	z-index: 1000000;
	cursor: pointer;
  }

  .loader-wrapper {
	width: 100%;
	height: 100%;
	position: absolute;
	/*margin-top: 8vw !important;*/
	z-index: 1000000;
	top: 0;
	left: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	/*background-color: #58bcffff;*/
	background-color: #ffffff;
  }

/* HTML: <div class="loader"></div> */
.loader {
	width: 90px;
	height: 14px;
	box-shadow: 0 3px 0 #fff;
	position: relative;
	display: grid;
	clip-path: inset(-60px 0 -5px)
  }
  .loader:after {
	content: "";
	position: relative;
	background: repeating-linear-gradient(90deg,#0000 0 calc(50% - 8px), #ccc 0 calc(50% + 8px), #0000 0 100%) 0 0/calc(100%/3) 100%;
	animation: l6-1 1s infinite;
  } 
  .loader:before {
	content: "";
	position: absolute;
	width: 14px;
	aspect-ratio: 1;
	left: calc(50% - 7px);
	bottom: 0;
	border-radius: 50%;
	background: lightblue;
	animation: l6-2 1s infinite;
  }
  @keyframes l6-1 {
	50%,100% {background-position: calc(100%/2) 0}
  }
  @keyframes l6-2 {
	0%,50% {transform:translateY(-80px)}
  }

  #page-header {
	position: relative;
	display: flex;
	background-color: #00000000;
	pointer-events: none;
  }

  #page-header>img {
	z-index: -1
  }

  .image-text-left {
	left: 15%;
	top: 50%;
	transform: translate(-50%,-50%);
	align-self: center;
	justify-self: center;
	position: absolute;
	color: white;
	font-size: 2vw;
	font-weight: bold;
	text-shadow: 2px 2px 5px black;
	line-height: 95px;
  }

  .image-text-left img{
	width: 14vw;
	height: auto;
  }

  .image-text-right {
	left: 85%;
	top: 50%;
	transform: translate(-50%,-50%);
	align-self: self-start;
	justify-self:flex-start;
	position: absolute;
	color: white;
	font-size: 2.5vw;
	text-shadow: 2px 2px 5px black;
	line-height: 1em;
	text-align: right;
  }
  
  /* test */

  #buttonBar {
	right: 2.5vw;
	top : 2.5vw;
	width: 50vw;
	height: 10vw;
	padding: 0.5vw;
	position: absolute !important;
	/*background: #FFFFFF66;*/
	text-align:end;
}

#buttonBar form {
	display: inline;
	margin: 0;
	padding: 0;
}

#buttonBar button {
	margin-top: 5px;
}

  .TopButton {
	padding: 0.25vw 1vw;
	border: unset;
	border-radius: 2.5px;
	color: #212121;
	z-index: 1;
	background: #FFFFFFBB;
	position: relative;
	font-size: 1vw;
	-webkit-box-shadow: 4px 8px 19px -3px rgba(0,0,0,0.27);
	box-shadow: 4px 8px 19px -3px rgba(0,0,0,0.27);
	transition: all 250ms;
	overflow: hidden;
	height: 2vw;
   }
   
   .TopButton::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 0;
	border-radius: 2.5px;
	background-color: #212121BB;
	z-index: -1;
	-webkit-box-shadow: 4px 8px 19px -3px rgba(0,0,0,0.27);
	box-shadow: 4px 8px 19px -3px rgba(0,0,0,0.27);
	transition: all 250ms
   }
   
   .TopButton:hover {
	color: #e8e8e8;
   }
   
   .TopButton:hover::before {
	width: 100%;
   }

   .fullSize {
	height: auto !important;
	width: 100%;
	object-fit: cover;
	object-position: center;
	/*padding-top: 2.5rem;*/
	padding-bottom: 1.5rem;
   }